﻿using Syncfusion.SfChart.XForms;
using System.Collections.ObjectModel;
using Xamarin.Forms;
using System;

namespace PieChart
{
	public class ChartPage1 : ContentPage
	{
		ObservableCollection<ChartDataPoint> datas;

		public ChartPage1()
		{
			datas = new ObservableCollection<ChartDataPoint>();
			datas.Add(new ChartDataPoint("VeryLow - 1", 2));
			datas.Add(new ChartDataPoint("VeryLow - 2", 3));
			datas.Add(new ChartDataPoint("Low - 3", 5));
			datas.Add(new ChartDataPoint("Low - 4", 6));
			datas.Add(new ChartDataPoint("Medium - 5", 7));

			SfChart chart = new SfChart();

			CategoryAxis xAxis = new CategoryAxis();
			xAxis.LabelPlacement = LabelPlacement.BetweenTicks;
			xAxis.ShowMajorGridLines = false;
			chart.PrimaryAxis = xAxis;

			NumericalAxis yAxis = new NumericalAxis();
			yAxis.Minimum = 1;
			yAxis.Maximum = 10;
			yAxis.Interval = 1;
			chart.SecondaryAxis = yAxis;

			LineSeries series = new LineSeries();
			series.ItemsSource = datas;
			chart.Series.Add(series);

			Content = chart;
		}
	}
}


